import { GetThreadsPayload } from "../services/ThreadService";
import { MessageFilterType } from "../types/CountingMessages";
import BaseThreadsPage from ".//BaseThreadsPage";
export default class IndexPage extends BaseThreadsPage {
    type?: MessageFilterType;
    updateType(): Promise<void>;
    get initialPayload(): GetThreadsPayload;
    get icon(): string;
    get label(): string;
    destroyed(): void;
}
